<?php defined('SYSPATH') or die('No direct script access.');

class PDFCreator
{ 
    
    public static function CreatePDF($templateName, $cssPath, $Data)
    {
        $mpdf = View_MPDF::factory($templateName, $Data);
        $mpdf->get_mpdf()->WriteHTML(file_get_contents($cssPath), 1);
        return $mpdf;
    }
    
    public static function GetHeaders($PDFFile, $OutputFilename)
    {
        $headers = array();
        $headers['Set-Cookie'] = 'fileDownload=true; path=/';
        $headers['Content-Type'] = 'application/octet-stream';
        $headers['Accept-Ranges'] = 'bytes';
        $headers['Content-Length'] = strlen($PDFFile);
        $headers['Content-Disposition'] = 'attachment; filename='.$OutputFilename.'.pdf';
        $headers['Content-Transfer-Encoding'] = 'Binary';
        return $headers;
    }
}